#include <iostream>
#include <vector>
#include <algorithm>
#include <numeric>
using namespace std;

int main() {
  int T;
  cin >> T;
  while (T--) {
    long long nCS, nE;
    cin >> nCS >> nE;

    vector<int> CS(nCS), E(nE);
    for (int i=0; i<nCS; i++) cin >> CS[i];
    for (int i=0; i<nE ; i++) cin >> E[i];
    sort(CS.begin(),CS.end());
    sort(E.begin(),E.end());
    long long sumCS = accumulate(CS.begin(),CS.end(),0LL);
    long long sumE  = accumulate(E.begin(),E.end(),0LL);
    int result = 0;
    for (int i=0; i<nCS; i++) {
      if (sumE < nE*CS[i] && nCS*CS[i] < sumCS) result++;
    }
    cout << result << endl;
  }
}
